#ifndef ARBITRARYTIME_H
#define ARBITRARYTIME_H

#include "paulcommon_global.h"

#include <QWidget>
#include <QLabel>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QLineEdit>
#include <QRegExpValidator>
#include <tcpackettosend.h>

class PAULCOMMONSHARED_EXPORT ArbitraryTime : public QWidget
{
    Q_OBJECT
public:
    explicit ArbitraryTime(char option, QWidget *parent = 0);

    long currentTimeToSend;

    TCPacketToSend *packetToSend;

    QLabel *timeToSend_LABEL;

    QHBoxLayout *main_HLAYOUT;
    QVBoxLayout *main_VLAYOUT;

    QLineEdit *timeToSend;

    QRegExpValidator *validator;
    
signals:
    void timeToSendChanged(long timeToSend);
    unsigned int WriteSPW(char *Value, unsigned int count, char targetLogicalAddress, char userApplication);
    
public slots:
    void editingFinishedSLOT();
    void sendCurrentTimeToSend();
    
};

#endif // ARBITRARYTIME_H
